## ZendX_JQuery

Description

jQuery Global Class holding constants and static convienience methods.

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- todo: Offer convenience methods to add a tab or accordion container/pane combination.
- license: New BSD License

Located in /JQuery.php (line 36)

Class Constant Summary
CDN_BASE_GOOGLE = 'http://ajax.googleapis.com/ajax/libs/'
CDN_BASE_GOOGLE_SSL = 'https://ajax.googleapis.com/ajax/libs/'
CDN_JQUERY_PATH_GOOGLE = '/jquery.min.js'
CDN_SUBFOLDER_JQUERY = 'jquery/'
CDN_SUBFOLDER_JQUERYUI = 'jqueryui/'
DEFAULT_JQUERY_VERSION = "1.3.2"
DEFAULT_UI_VERSION = "1.7.1"
RENDER_ALL = 255
RENDER_JAVASCRIPT = 8
RENDER_JQUERY_ON_LOAD = 16
RENDER_LIBRARY = 1
RENDER_SOURCES = 2
RENDER_STYLESHEETS = 4
Method Summary
static void enableForm ( $form)
static void enableView ( $view)
static mixed encodeJson (mixed $value)
Methods
static enableForm (line 117)

jQuery-enable a form instance

- access: public

static void enableForm ( $form)

- Zend_Form $form

static enableView (line 104)

jQuery-enable a view instance

- access: public

static void enableView ( $view)

- Zend_View_Interface $view

static encodeJson (line 143)

Encode Json that may include javascript expressions.

Take care of using the Zend_Json_Encoder to alleviate problems with the json_encode magic key mechanism as of now.

- see: Zend_Json::encode
- access: public

static mixed encodeJson (mixed $value)

- mixed $value

Class Constants
CDN_BASE_GOOGLE = 'http://ajax.googleapis.com/ajax/libs/' (line 56)

- see: jquery

CDN_BASE_GOOGLE_SSL = 'https://ajax.googleapis.com/ajax/libs/' (line 62)

- see: jquery

CDN_JQUERY_PATH_GOOGLE = '/jquery.min.js' (line 81)

Always uses compressed version, because this is assumed to be the use case in production enviroment. An uncompressed version has to included manually.

- see: jquery

CDN_SUBFOLDER_JQUERY = 'jquery/' (line 67)
CDN_SUBFOLDER_JQUERYUI = 'jqueryui/' (line 72)
DEFAULT_JQUERY_VERSION = "1.3.2" (line 43)

Current default supported jQuery library version with ZendX_JQuery

DEFAULT_UI_VERSION = "1.7.1" (line 50)

Currently supported jQuery UI library version with ZendX_JQuery

RENDER_ALL = 255 (line 96)
RENDER_JAVASCRIPT = 8 (line 94)
RENDER_JQUERY_ON_LOAD = 16 (line 95)
RENDER_LIBRARY = 1 (line 91)

Which parts of the the jQuery library should be rendered on echo'ing the jQuery library to the View. The constants act as bit-mask. This way the jQuery autogenerated code can be refactored based on personal needs.

- see: ZendX_JQuery_Helper_JQuery::setRenderMode

RENDER_SOURCES = 2 (line 92)
RENDER_STYLESHEETS = 4 (line 93)

Documentation generated on Mon, 24 Aug 2009 17:58:48 -0700 by phpDocumentor 1.4.2